IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/96
Addresses4,294,967,296
/64 networksPart of one
- Network
fe80:c25b:dd:ec00:ec00:d9::/96- First address
fe80:c25b:dd:ec00:ec00:d9::- Last address
fe80:c25b:dd:ec00:ec00:d9:ffff:ffff- Addresses
- 4,294,967,296
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
fe80:c25b:00dd:ec00:ec00:00d9:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
9.d.0.0.0.0.c.e.0.0.c.e.d.d.0.0.b.5.2.c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c25b:dd:ec00:ec00:d9::/96 makes 4,096 subnets of /108; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25b:dd:ec00:ec00:d9::/108 | fe80:c25b:dd:ec00:ec00:d9:f:ffff |
| 2 | fe80:c25b:dd:ec00:ec00:d9:10:0/108 | fe80:c25b:dd:ec00:ec00:d9:1f:ffff |
| 3 | fe80:c25b:dd:ec00:ec00:d9:20:0/108 | fe80:c25b:dd:ec00:ec00:d9:2f:ffff |
| 4 | fe80:c25b:dd:ec00:ec00:d9:30:0/108 | fe80:c25b:dd:ec00:ec00:d9:3f:ffff |
| 5 | fe80:c25b:dd:ec00:ec00:d9:40:0/108 | fe80:c25b:dd:ec00:ec00:d9:4f:ffff |
| 6 | fe80:c25b:dd:ec00:ec00:d9:50:0/108 | fe80:c25b:dd:ec00:ec00:d9:5f:ffff |
| 7 | fe80:c25b:dd:ec00:ec00:d9:60:0/108 | fe80:c25b:dd:ec00:ec00:d9:6f:ffff |
| 8 | fe80:c25b:dd:ec00:ec00:d9:70:0/108 | fe80:c25b:dd:ec00:ec00:d9:7f:ffff |
| 9 | fe80:c25b:dd:ec00:ec00:d9:80:0/108 | fe80:c25b:dd:ec00:ec00:d9:8f:ffff |
| 10 | fe80:c25b:dd:ec00:ec00:d9:90:0/108 | fe80:c25b:dd:ec00:ec00:d9:9f:ffff |
| 11 | fe80:c25b:dd:ec00:ec00:d9:a0:0/108 | fe80:c25b:dd:ec00:ec00:d9:af:ffff |
| 12 | fe80:c25b:dd:ec00:ec00:d9:b0:0/108 | fe80:c25b:dd:ec00:ec00:d9:bf:ffff |
| 13 | fe80:c25b:dd:ec00:ec00:d9:c0:0/108 | fe80:c25b:dd:ec00:ec00:d9:cf:ffff |
| 14 | fe80:c25b:dd:ec00:ec00:d9:d0:0/108 | fe80:c25b:dd:ec00:ec00:d9:df:ffff |
| 15 | fe80:c25b:dd:ec00:ec00:d9:e0:0/108 | fe80:c25b:dd:ec00:ec00:d9:ef:ffff |
| 16 | fe80:c25b:dd:ec00:ec00:d9:f0:0/108 | fe80:c25b:dd:ec00:ec00:d9:ff:ffff |
| 17 | fe80:c25b:dd:ec00:ec00:d9:100:0/108 | fe80:c25b:dd:ec00:ec00:d9:10f:ffff |
| 18 | fe80:c25b:dd:ec00:ec00:d9:110:0/108 | fe80:c25b:dd:ec00:ec00:d9:11f:ffff |
| 19 | fe80:c25b:dd:ec00:ec00:d9:120:0/108 | fe80:c25b:dd:ec00:ec00:d9:12f:ffff |
| 20 | fe80:c25b:dd:ec00:ec00:d9:130:0/108 | fe80:c25b:dd:ec00:ec00:d9:13f:ffff |
| 21 | fe80:c25b:dd:ec00:ec00:d9:140:0/108 | fe80:c25b:dd:ec00:ec00:d9:14f:ffff |
| 22 | fe80:c25b:dd:ec00:ec00:d9:150:0/108 | fe80:c25b:dd:ec00:ec00:d9:15f:ffff |
| 23 | fe80:c25b:dd:ec00:ec00:d9:160:0/108 | fe80:c25b:dd:ec00:ec00:d9:16f:ffff |
| 24 | fe80:c25b:dd:ec00:ec00:d9:170:0/108 | fe80:c25b:dd:ec00:ec00:d9:17f:ffff |
| 25 | fe80:c25b:dd:ec00:ec00:d9:180:0/108 | fe80:c25b:dd:ec00:ec00:d9:18f:ffff |
| 26 | fe80:c25b:dd:ec00:ec00:d9:190:0/108 | fe80:c25b:dd:ec00:ec00:d9:19f:ffff |
| 27 | fe80:c25b:dd:ec00:ec00:d9:1a0:0/108 | fe80:c25b:dd:ec00:ec00:d9:1af:ffff |
| 28 | fe80:c25b:dd:ec00:ec00:d9:1b0:0/108 | fe80:c25b:dd:ec00:ec00:d9:1bf:ffff |
| 29 | fe80:c25b:dd:ec00:ec00:d9:1c0:0/108 | fe80:c25b:dd:ec00:ec00:d9:1cf:ffff |
| 30 | fe80:c25b:dd:ec00:ec00:d9:1d0:0/108 | fe80:c25b:dd:ec00:ec00:d9:1df:ffff |
| 31 | fe80:c25b:dd:ec00:ec00:d9:1e0:0/108 | fe80:c25b:dd:ec00:ec00:d9:1ef:ffff |
| 32 | fe80:c25b:dd:ec00:ec00:d9:1f0:0/108 | fe80:c25b:dd:ec00:ec00:d9:1ff:ffff |
| 33 | fe80:c25b:dd:ec00:ec00:d9:200:0/108 | fe80:c25b:dd:ec00:ec00:d9:20f:ffff |
| 34 | fe80:c25b:dd:ec00:ec00:d9:210:0/108 | fe80:c25b:dd:ec00:ec00:d9:21f:ffff |
| 35 | fe80:c25b:dd:ec00:ec00:d9:220:0/108 | fe80:c25b:dd:ec00:ec00:d9:22f:ffff |
| 36 | fe80:c25b:dd:ec00:ec00:d9:230:0/108 | fe80:c25b:dd:ec00:ec00:d9:23f:ffff |
| 37 | fe80:c25b:dd:ec00:ec00:d9:240:0/108 | fe80:c25b:dd:ec00:ec00:d9:24f:ffff |
| 38 | fe80:c25b:dd:ec00:ec00:d9:250:0/108 | fe80:c25b:dd:ec00:ec00:d9:25f:ffff |
| 39 | fe80:c25b:dd:ec00:ec00:d9:260:0/108 | fe80:c25b:dd:ec00:ec00:d9:26f:ffff |
| 40 | fe80:c25b:dd:ec00:ec00:d9:270:0/108 | fe80:c25b:dd:ec00:ec00:d9:27f:ffff |
| 41 | fe80:c25b:dd:ec00:ec00:d9:280:0/108 | fe80:c25b:dd:ec00:ec00:d9:28f:ffff |
| 42 | fe80:c25b:dd:ec00:ec00:d9:290:0/108 | fe80:c25b:dd:ec00:ec00:d9:29f:ffff |
| 43 | fe80:c25b:dd:ec00:ec00:d9:2a0:0/108 | fe80:c25b:dd:ec00:ec00:d9:2af:ffff |
| 44 | fe80:c25b:dd:ec00:ec00:d9:2b0:0/108 | fe80:c25b:dd:ec00:ec00:d9:2bf:ffff |
| 45 | fe80:c25b:dd:ec00:ec00:d9:2c0:0/108 | fe80:c25b:dd:ec00:ec00:d9:2cf:ffff |
| 46 | fe80:c25b:dd:ec00:ec00:d9:2d0:0/108 | fe80:c25b:dd:ec00:ec00:d9:2df:ffff |
| 47 | fe80:c25b:dd:ec00:ec00:d9:2e0:0/108 | fe80:c25b:dd:ec00:ec00:d9:2ef:ffff |
| 48 | fe80:c25b:dd:ec00:ec00:d9:2f0:0/108 | fe80:c25b:dd:ec00:ec00:d9:2ff:ffff |
| 49 | fe80:c25b:dd:ec00:ec00:d9:300:0/108 | fe80:c25b:dd:ec00:ec00:d9:30f:ffff |
| 50 | fe80:c25b:dd:ec00:ec00:d9:310:0/108 | fe80:c25b:dd:ec00:ec00:d9:31f:ffff |
| 51 | fe80:c25b:dd:ec00:ec00:d9:320:0/108 | fe80:c25b:dd:ec00:ec00:d9:32f:ffff |
| 52 | fe80:c25b:dd:ec00:ec00:d9:330:0/108 | fe80:c25b:dd:ec00:ec00:d9:33f:ffff |
| 53 | fe80:c25b:dd:ec00:ec00:d9:340:0/108 | fe80:c25b:dd:ec00:ec00:d9:34f:ffff |
| 54 | fe80:c25b:dd:ec00:ec00:d9:350:0/108 | fe80:c25b:dd:ec00:ec00:d9:35f:ffff |
| 55 | fe80:c25b:dd:ec00:ec00:d9:360:0/108 | fe80:c25b:dd:ec00:ec00:d9:36f:ffff |
| 56 | fe80:c25b:dd:ec00:ec00:d9:370:0/108 | fe80:c25b:dd:ec00:ec00:d9:37f:ffff |
| 57 | fe80:c25b:dd:ec00:ec00:d9:380:0/108 | fe80:c25b:dd:ec00:ec00:d9:38f:ffff |
| 58 | fe80:c25b:dd:ec00:ec00:d9:390:0/108 | fe80:c25b:dd:ec00:ec00:d9:39f:ffff |
| 59 | fe80:c25b:dd:ec00:ec00:d9:3a0:0/108 | fe80:c25b:dd:ec00:ec00:d9:3af:ffff |
| 60 | fe80:c25b:dd:ec00:ec00:d9:3b0:0/108 | fe80:c25b:dd:ec00:ec00:d9:3bf:ffff |
| 61 | fe80:c25b:dd:ec00:ec00:d9:3c0:0/108 | fe80:c25b:dd:ec00:ec00:d9:3cf:ffff |
| 62 | fe80:c25b:dd:ec00:ec00:d9:3d0:0/108 | fe80:c25b:dd:ec00:ec00:d9:3df:ffff |
| 63 | fe80:c25b:dd:ec00:ec00:d9:3e0:0/108 | fe80:c25b:dd:ec00:ec00:d9:3ef:ffff |
| 64 | fe80:c25b:dd:ec00:ec00:d9:3f0:0/108 | fe80:c25b:dd:ec00:ec00:d9:3ff:ffff |
| 65 | fe80:c25b:dd:ec00:ec00:d9:400:0/108 | fe80:c25b:dd:ec00:ec00:d9:40f:ffff |
| 66 | fe80:c25b:dd:ec00:ec00:d9:410:0/108 | fe80:c25b:dd:ec00:ec00:d9:41f:ffff |
| 67 | fe80:c25b:dd:ec00:ec00:d9:420:0/108 | fe80:c25b:dd:ec00:ec00:d9:42f:ffff |
| 68 | fe80:c25b:dd:ec00:ec00:d9:430:0/108 | fe80:c25b:dd:ec00:ec00:d9:43f:ffff |
| 69 | fe80:c25b:dd:ec00:ec00:d9:440:0/108 | fe80:c25b:dd:ec00:ec00:d9:44f:ffff |
| 70 | fe80:c25b:dd:ec00:ec00:d9:450:0/108 | fe80:c25b:dd:ec00:ec00:d9:45f:ffff |
| 71 | fe80:c25b:dd:ec00:ec00:d9:460:0/108 | fe80:c25b:dd:ec00:ec00:d9:46f:ffff |
| 72 | fe80:c25b:dd:ec00:ec00:d9:470:0/108 | fe80:c25b:dd:ec00:ec00:d9:47f:ffff |
| 73 | fe80:c25b:dd:ec00:ec00:d9:480:0/108 | fe80:c25b:dd:ec00:ec00:d9:48f:ffff |
| 74 | fe80:c25b:dd:ec00:ec00:d9:490:0/108 | fe80:c25b:dd:ec00:ec00:d9:49f:ffff |
| 75 | fe80:c25b:dd:ec00:ec00:d9:4a0:0/108 | fe80:c25b:dd:ec00:ec00:d9:4af:ffff |
| 76 | fe80:c25b:dd:ec00:ec00:d9:4b0:0/108 | fe80:c25b:dd:ec00:ec00:d9:4bf:ffff |
| 77 | fe80:c25b:dd:ec00:ec00:d9:4c0:0/108 | fe80:c25b:dd:ec00:ec00:d9:4cf:ffff |
| 78 | fe80:c25b:dd:ec00:ec00:d9:4d0:0/108 | fe80:c25b:dd:ec00:ec00:d9:4df:ffff |
| 79 | fe80:c25b:dd:ec00:ec00:d9:4e0:0/108 | fe80:c25b:dd:ec00:ec00:d9:4ef:ffff |
| 80 | fe80:c25b:dd:ec00:ec00:d9:4f0:0/108 | fe80:c25b:dd:ec00:ec00:d9:4ff:ffff |
| 81 | fe80:c25b:dd:ec00:ec00:d9:500:0/108 | fe80:c25b:dd:ec00:ec00:d9:50f:ffff |
| 82 | fe80:c25b:dd:ec00:ec00:d9:510:0/108 | fe80:c25b:dd:ec00:ec00:d9:51f:ffff |
| 83 | fe80:c25b:dd:ec00:ec00:d9:520:0/108 | fe80:c25b:dd:ec00:ec00:d9:52f:ffff |
| 84 | fe80:c25b:dd:ec00:ec00:d9:530:0/108 | fe80:c25b:dd:ec00:ec00:d9:53f:ffff |
| 85 | fe80:c25b:dd:ec00:ec00:d9:540:0/108 | fe80:c25b:dd:ec00:ec00:d9:54f:ffff |
| 86 | fe80:c25b:dd:ec00:ec00:d9:550:0/108 | fe80:c25b:dd:ec00:ec00:d9:55f:ffff |
| 87 | fe80:c25b:dd:ec00:ec00:d9:560:0/108 | fe80:c25b:dd:ec00:ec00:d9:56f:ffff |
| 88 | fe80:c25b:dd:ec00:ec00:d9:570:0/108 | fe80:c25b:dd:ec00:ec00:d9:57f:ffff |
| 89 | fe80:c25b:dd:ec00:ec00:d9:580:0/108 | fe80:c25b:dd:ec00:ec00:d9:58f:ffff |
| 90 | fe80:c25b:dd:ec00:ec00:d9:590:0/108 | fe80:c25b:dd:ec00:ec00:d9:59f:ffff |
| 91 | fe80:c25b:dd:ec00:ec00:d9:5a0:0/108 | fe80:c25b:dd:ec00:ec00:d9:5af:ffff |
| 92 | fe80:c25b:dd:ec00:ec00:d9:5b0:0/108 | fe80:c25b:dd:ec00:ec00:d9:5bf:ffff |
| 93 | fe80:c25b:dd:ec00:ec00:d9:5c0:0/108 | fe80:c25b:dd:ec00:ec00:d9:5cf:ffff |
| 94 | fe80:c25b:dd:ec00:ec00:d9:5d0:0/108 | fe80:c25b:dd:ec00:ec00:d9:5df:ffff |
| 95 | fe80:c25b:dd:ec00:ec00:d9:5e0:0/108 | fe80:c25b:dd:ec00:ec00:d9:5ef:ffff |
| 96 | fe80:c25b:dd:ec00:ec00:d9:5f0:0/108 | fe80:c25b:dd:ec00:ec00:d9:5ff:ffff |
| 97 | fe80:c25b:dd:ec00:ec00:d9:600:0/108 | fe80:c25b:dd:ec00:ec00:d9:60f:ffff |
| 98 | fe80:c25b:dd:ec00:ec00:d9:610:0/108 | fe80:c25b:dd:ec00:ec00:d9:61f:ffff |
| 99 | fe80:c25b:dd:ec00:ec00:d9:620:0/108 | fe80:c25b:dd:ec00:ec00:d9:62f:ffff |
| 100 | fe80:c25b:dd:ec00:ec00:d9:630:0/108 | fe80:c25b:dd:ec00:ec00:d9:63f:ffff |
| 101 | fe80:c25b:dd:ec00:ec00:d9:640:0/108 | fe80:c25b:dd:ec00:ec00:d9:64f:ffff |
| 102 | fe80:c25b:dd:ec00:ec00:d9:650:0/108 | fe80:c25b:dd:ec00:ec00:d9:65f:ffff |
| 103 | fe80:c25b:dd:ec00:ec00:d9:660:0/108 | fe80:c25b:dd:ec00:ec00:d9:66f:ffff |
| 104 | fe80:c25b:dd:ec00:ec00:d9:670:0/108 | fe80:c25b:dd:ec00:ec00:d9:67f:ffff |
| 105 | fe80:c25b:dd:ec00:ec00:d9:680:0/108 | fe80:c25b:dd:ec00:ec00:d9:68f:ffff |
| 106 | fe80:c25b:dd:ec00:ec00:d9:690:0/108 | fe80:c25b:dd:ec00:ec00:d9:69f:ffff |
| 107 | fe80:c25b:dd:ec00:ec00:d9:6a0:0/108 | fe80:c25b:dd:ec00:ec00:d9:6af:ffff |
| 108 | fe80:c25b:dd:ec00:ec00:d9:6b0:0/108 | fe80:c25b:dd:ec00:ec00:d9:6bf:ffff |
| 109 | fe80:c25b:dd:ec00:ec00:d9:6c0:0/108 | fe80:c25b:dd:ec00:ec00:d9:6cf:ffff |
| 110 | fe80:c25b:dd:ec00:ec00:d9:6d0:0/108 | fe80:c25b:dd:ec00:ec00:d9:6df:ffff |
| 111 | fe80:c25b:dd:ec00:ec00:d9:6e0:0/108 | fe80:c25b:dd:ec00:ec00:d9:6ef:ffff |
| 112 | fe80:c25b:dd:ec00:ec00:d9:6f0:0/108 | fe80:c25b:dd:ec00:ec00:d9:6ff:ffff |
| 113 | fe80:c25b:dd:ec00:ec00:d9:700:0/108 | fe80:c25b:dd:ec00:ec00:d9:70f:ffff |
| 114 | fe80:c25b:dd:ec00:ec00:d9:710:0/108 | fe80:c25b:dd:ec00:ec00:d9:71f:ffff |
| 115 | fe80:c25b:dd:ec00:ec00:d9:720:0/108 | fe80:c25b:dd:ec00:ec00:d9:72f:ffff |
| 116 | fe80:c25b:dd:ec00:ec00:d9:730:0/108 | fe80:c25b:dd:ec00:ec00:d9:73f:ffff |
| 117 | fe80:c25b:dd:ec00:ec00:d9:740:0/108 | fe80:c25b:dd:ec00:ec00:d9:74f:ffff |
| 118 | fe80:c25b:dd:ec00:ec00:d9:750:0/108 | fe80:c25b:dd:ec00:ec00:d9:75f:ffff |
| 119 | fe80:c25b:dd:ec00:ec00:d9:760:0/108 | fe80:c25b:dd:ec00:ec00:d9:76f:ffff |
| 120 | fe80:c25b:dd:ec00:ec00:d9:770:0/108 | fe80:c25b:dd:ec00:ec00:d9:77f:ffff |
| 121 | fe80:c25b:dd:ec00:ec00:d9:780:0/108 | fe80:c25b:dd:ec00:ec00:d9:78f:ffff |
| 122 | fe80:c25b:dd:ec00:ec00:d9:790:0/108 | fe80:c25b:dd:ec00:ec00:d9:79f:ffff |
| 123 | fe80:c25b:dd:ec00:ec00:d9:7a0:0/108 | fe80:c25b:dd:ec00:ec00:d9:7af:ffff |
| 124 | fe80:c25b:dd:ec00:ec00:d9:7b0:0/108 | fe80:c25b:dd:ec00:ec00:d9:7bf:ffff |
| 125 | fe80:c25b:dd:ec00:ec00:d9:7c0:0/108 | fe80:c25b:dd:ec00:ec00:d9:7cf:ffff |
| 126 | fe80:c25b:dd:ec00:ec00:d9:7d0:0/108 | fe80:c25b:dd:ec00:ec00:d9:7df:ffff |
| 127 | fe80:c25b:dd:ec00:ec00:d9:7e0:0/108 | fe80:c25b:dd:ec00:ec00:d9:7ef:ffff |
| 128 | fe80:c25b:dd:ec00:ec00:d9:7f0:0/108 | fe80:c25b:dd:ec00:ec00:d9:7ff:ffff |
| 129 | fe80:c25b:dd:ec00:ec00:d9:800:0/108 | fe80:c25b:dd:ec00:ec00:d9:80f:ffff |
| 130 | fe80:c25b:dd:ec00:ec00:d9:810:0/108 | fe80:c25b:dd:ec00:ec00:d9:81f:ffff |
| 131 | fe80:c25b:dd:ec00:ec00:d9:820:0/108 | fe80:c25b:dd:ec00:ec00:d9:82f:ffff |
| 132 | fe80:c25b:dd:ec00:ec00:d9:830:0/108 | fe80:c25b:dd:ec00:ec00:d9:83f:ffff |
| 133 | fe80:c25b:dd:ec00:ec00:d9:840:0/108 | fe80:c25b:dd:ec00:ec00:d9:84f:ffff |
| 134 | fe80:c25b:dd:ec00:ec00:d9:850:0/108 | fe80:c25b:dd:ec00:ec00:d9:85f:ffff |
| 135 | fe80:c25b:dd:ec00:ec00:d9:860:0/108 | fe80:c25b:dd:ec00:ec00:d9:86f:ffff |
| 136 | fe80:c25b:dd:ec00:ec00:d9:870:0/108 | fe80:c25b:dd:ec00:ec00:d9:87f:ffff |
| 137 | fe80:c25b:dd:ec00:ec00:d9:880:0/108 | fe80:c25b:dd:ec00:ec00:d9:88f:ffff |
| 138 | fe80:c25b:dd:ec00:ec00:d9:890:0/108 | fe80:c25b:dd:ec00:ec00:d9:89f:ffff |
| 139 | fe80:c25b:dd:ec00:ec00:d9:8a0:0/108 | fe80:c25b:dd:ec00:ec00:d9:8af:ffff |
| 140 | fe80:c25b:dd:ec00:ec00:d9:8b0:0/108 | fe80:c25b:dd:ec00:ec00:d9:8bf:ffff |
| 141 | fe80:c25b:dd:ec00:ec00:d9:8c0:0/108 | fe80:c25b:dd:ec00:ec00:d9:8cf:ffff |
| 142 | fe80:c25b:dd:ec00:ec00:d9:8d0:0/108 | fe80:c25b:dd:ec00:ec00:d9:8df:ffff |
| 143 | fe80:c25b:dd:ec00:ec00:d9:8e0:0/108 | fe80:c25b:dd:ec00:ec00:d9:8ef:ffff |
| 144 | fe80:c25b:dd:ec00:ec00:d9:8f0:0/108 | fe80:c25b:dd:ec00:ec00:d9:8ff:ffff |
| 145 | fe80:c25b:dd:ec00:ec00:d9:900:0/108 | fe80:c25b:dd:ec00:ec00:d9:90f:ffff |
| 146 | fe80:c25b:dd:ec00:ec00:d9:910:0/108 | fe80:c25b:dd:ec00:ec00:d9:91f:ffff |
| 147 | fe80:c25b:dd:ec00:ec00:d9:920:0/108 | fe80:c25b:dd:ec00:ec00:d9:92f:ffff |
| 148 | fe80:c25b:dd:ec00:ec00:d9:930:0/108 | fe80:c25b:dd:ec00:ec00:d9:93f:ffff |
| 149 | fe80:c25b:dd:ec00:ec00:d9:940:0/108 | fe80:c25b:dd:ec00:ec00:d9:94f:ffff |
| 150 | fe80:c25b:dd:ec00:ec00:d9:950:0/108 | fe80:c25b:dd:ec00:ec00:d9:95f:ffff |
| 151 | fe80:c25b:dd:ec00:ec00:d9:960:0/108 | fe80:c25b:dd:ec00:ec00:d9:96f:ffff |
| 152 | fe80:c25b:dd:ec00:ec00:d9:970:0/108 | fe80:c25b:dd:ec00:ec00:d9:97f:ffff |
| 153 | fe80:c25b:dd:ec00:ec00:d9:980:0/108 | fe80:c25b:dd:ec00:ec00:d9:98f:ffff |
| 154 | fe80:c25b:dd:ec00:ec00:d9:990:0/108 | fe80:c25b:dd:ec00:ec00:d9:99f:ffff |
| 155 | fe80:c25b:dd:ec00:ec00:d9:9a0:0/108 | fe80:c25b:dd:ec00:ec00:d9:9af:ffff |
| 156 | fe80:c25b:dd:ec00:ec00:d9:9b0:0/108 | fe80:c25b:dd:ec00:ec00:d9:9bf:ffff |
| 157 | fe80:c25b:dd:ec00:ec00:d9:9c0:0/108 | fe80:c25b:dd:ec00:ec00:d9:9cf:ffff |
| 158 | fe80:c25b:dd:ec00:ec00:d9:9d0:0/108 | fe80:c25b:dd:ec00:ec00:d9:9df:ffff |
| 159 | fe80:c25b:dd:ec00:ec00:d9:9e0:0/108 | fe80:c25b:dd:ec00:ec00:d9:9ef:ffff |
| 160 | fe80:c25b:dd:ec00:ec00:d9:9f0:0/108 | fe80:c25b:dd:ec00:ec00:d9:9ff:ffff |
| 161 | fe80:c25b:dd:ec00:ec00:d9:a00:0/108 | fe80:c25b:dd:ec00:ec00:d9:a0f:ffff |
| 162 | fe80:c25b:dd:ec00:ec00:d9:a10:0/108 | fe80:c25b:dd:ec00:ec00:d9:a1f:ffff |
| 163 | fe80:c25b:dd:ec00:ec00:d9:a20:0/108 | fe80:c25b:dd:ec00:ec00:d9:a2f:ffff |
| 164 | fe80:c25b:dd:ec00:ec00:d9:a30:0/108 | fe80:c25b:dd:ec00:ec00:d9:a3f:ffff |
| 165 | fe80:c25b:dd:ec00:ec00:d9:a40:0/108 | fe80:c25b:dd:ec00:ec00:d9:a4f:ffff |
| 166 | fe80:c25b:dd:ec00:ec00:d9:a50:0/108 | fe80:c25b:dd:ec00:ec00:d9:a5f:ffff |
| 167 | fe80:c25b:dd:ec00:ec00:d9:a60:0/108 | fe80:c25b:dd:ec00:ec00:d9:a6f:ffff |
| 168 | fe80:c25b:dd:ec00:ec00:d9:a70:0/108 | fe80:c25b:dd:ec00:ec00:d9:a7f:ffff |
| 169 | fe80:c25b:dd:ec00:ec00:d9:a80:0/108 | fe80:c25b:dd:ec00:ec00:d9:a8f:ffff |
| 170 | fe80:c25b:dd:ec00:ec00:d9:a90:0/108 | fe80:c25b:dd:ec00:ec00:d9:a9f:ffff |
| 171 | fe80:c25b:dd:ec00:ec00:d9:aa0:0/108 | fe80:c25b:dd:ec00:ec00:d9:aaf:ffff |
| 172 | fe80:c25b:dd:ec00:ec00:d9:ab0:0/108 | fe80:c25b:dd:ec00:ec00:d9:abf:ffff |
| 173 | fe80:c25b:dd:ec00:ec00:d9:ac0:0/108 | fe80:c25b:dd:ec00:ec00:d9:acf:ffff |
| 174 | fe80:c25b:dd:ec00:ec00:d9:ad0:0/108 | fe80:c25b:dd:ec00:ec00:d9:adf:ffff |
| 175 | fe80:c25b:dd:ec00:ec00:d9:ae0:0/108 | fe80:c25b:dd:ec00:ec00:d9:aef:ffff |
| 176 | fe80:c25b:dd:ec00:ec00:d9:af0:0/108 | fe80:c25b:dd:ec00:ec00:d9:aff:ffff |
| 177 | fe80:c25b:dd:ec00:ec00:d9:b00:0/108 | fe80:c25b:dd:ec00:ec00:d9:b0f:ffff |
| 178 | fe80:c25b:dd:ec00:ec00:d9:b10:0/108 | fe80:c25b:dd:ec00:ec00:d9:b1f:ffff |
| 179 | fe80:c25b:dd:ec00:ec00:d9:b20:0/108 | fe80:c25b:dd:ec00:ec00:d9:b2f:ffff |
| 180 | fe80:c25b:dd:ec00:ec00:d9:b30:0/108 | fe80:c25b:dd:ec00:ec00:d9:b3f:ffff |
| 181 | fe80:c25b:dd:ec00:ec00:d9:b40:0/108 | fe80:c25b:dd:ec00:ec00:d9:b4f:ffff |
| 182 | fe80:c25b:dd:ec00:ec00:d9:b50:0/108 | fe80:c25b:dd:ec00:ec00:d9:b5f:ffff |
| 183 | fe80:c25b:dd:ec00:ec00:d9:b60:0/108 | fe80:c25b:dd:ec00:ec00:d9:b6f:ffff |
| 184 | fe80:c25b:dd:ec00:ec00:d9:b70:0/108 | fe80:c25b:dd:ec00:ec00:d9:b7f:ffff |
| 185 | fe80:c25b:dd:ec00:ec00:d9:b80:0/108 | fe80:c25b:dd:ec00:ec00:d9:b8f:ffff |
| 186 | fe80:c25b:dd:ec00:ec00:d9:b90:0/108 | fe80:c25b:dd:ec00:ec00:d9:b9f:ffff |
| 187 | fe80:c25b:dd:ec00:ec00:d9:ba0:0/108 | fe80:c25b:dd:ec00:ec00:d9:baf:ffff |
| 188 | fe80:c25b:dd:ec00:ec00:d9:bb0:0/108 | fe80:c25b:dd:ec00:ec00:d9:bbf:ffff |
| 189 | fe80:c25b:dd:ec00:ec00:d9:bc0:0/108 | fe80:c25b:dd:ec00:ec00:d9:bcf:ffff |
| 190 | fe80:c25b:dd:ec00:ec00:d9:bd0:0/108 | fe80:c25b:dd:ec00:ec00:d9:bdf:ffff |
| 191 | fe80:c25b:dd:ec00:ec00:d9:be0:0/108 | fe80:c25b:dd:ec00:ec00:d9:bef:ffff |
| 192 | fe80:c25b:dd:ec00:ec00:d9:bf0:0/108 | fe80:c25b:dd:ec00:ec00:d9:bff:ffff |
| 193 | fe80:c25b:dd:ec00:ec00:d9:c00:0/108 | fe80:c25b:dd:ec00:ec00:d9:c0f:ffff |
| 194 | fe80:c25b:dd:ec00:ec00:d9:c10:0/108 | fe80:c25b:dd:ec00:ec00:d9:c1f:ffff |
| 195 | fe80:c25b:dd:ec00:ec00:d9:c20:0/108 | fe80:c25b:dd:ec00:ec00:d9:c2f:ffff |
| 196 | fe80:c25b:dd:ec00:ec00:d9:c30:0/108 | fe80:c25b:dd:ec00:ec00:d9:c3f:ffff |
| 197 | fe80:c25b:dd:ec00:ec00:d9:c40:0/108 | fe80:c25b:dd:ec00:ec00:d9:c4f:ffff |
| 198 | fe80:c25b:dd:ec00:ec00:d9:c50:0/108 | fe80:c25b:dd:ec00:ec00:d9:c5f:ffff |
| 199 | fe80:c25b:dd:ec00:ec00:d9:c60:0/108 | fe80:c25b:dd:ec00:ec00:d9:c6f:ffff |
| 200 | fe80:c25b:dd:ec00:ec00:d9:c70:0/108 | fe80:c25b:dd:ec00:ec00:d9:c7f:ffff |
| 201 | fe80:c25b:dd:ec00:ec00:d9:c80:0/108 | fe80:c25b:dd:ec00:ec00:d9:c8f:ffff |
| 202 | fe80:c25b:dd:ec00:ec00:d9:c90:0/108 | fe80:c25b:dd:ec00:ec00:d9:c9f:ffff |
| 203 | fe80:c25b:dd:ec00:ec00:d9:ca0:0/108 | fe80:c25b:dd:ec00:ec00:d9:caf:ffff |
| 204 | fe80:c25b:dd:ec00:ec00:d9:cb0:0/108 | fe80:c25b:dd:ec00:ec00:d9:cbf:ffff |
| 205 | fe80:c25b:dd:ec00:ec00:d9:cc0:0/108 | fe80:c25b:dd:ec00:ec00:d9:ccf:ffff |
| 206 | fe80:c25b:dd:ec00:ec00:d9:cd0:0/108 | fe80:c25b:dd:ec00:ec00:d9:cdf:ffff |
| 207 | fe80:c25b:dd:ec00:ec00:d9:ce0:0/108 | fe80:c25b:dd:ec00:ec00:d9:cef:ffff |
| 208 | fe80:c25b:dd:ec00:ec00:d9:cf0:0/108 | fe80:c25b:dd:ec00:ec00:d9:cff:ffff |
| 209 | fe80:c25b:dd:ec00:ec00:d9:d00:0/108 | fe80:c25b:dd:ec00:ec00:d9:d0f:ffff |
| 210 | fe80:c25b:dd:ec00:ec00:d9:d10:0/108 | fe80:c25b:dd:ec00:ec00:d9:d1f:ffff |
| 211 | fe80:c25b:dd:ec00:ec00:d9:d20:0/108 | fe80:c25b:dd:ec00:ec00:d9:d2f:ffff |
| 212 | fe80:c25b:dd:ec00:ec00:d9:d30:0/108 | fe80:c25b:dd:ec00:ec00:d9:d3f:ffff |
| 213 | fe80:c25b:dd:ec00:ec00:d9:d40:0/108 | fe80:c25b:dd:ec00:ec00:d9:d4f:ffff |
| 214 | fe80:c25b:dd:ec00:ec00:d9:d50:0/108 | fe80:c25b:dd:ec00:ec00:d9:d5f:ffff |
| 215 | fe80:c25b:dd:ec00:ec00:d9:d60:0/108 | fe80:c25b:dd:ec00:ec00:d9:d6f:ffff |
| 216 | fe80:c25b:dd:ec00:ec00:d9:d70:0/108 | fe80:c25b:dd:ec00:ec00:d9:d7f:ffff |
| 217 | fe80:c25b:dd:ec00:ec00:d9:d80:0/108 | fe80:c25b:dd:ec00:ec00:d9:d8f:ffff |
| 218 | fe80:c25b:dd:ec00:ec00:d9:d90:0/108 | fe80:c25b:dd:ec00:ec00:d9:d9f:ffff |
| 219 | fe80:c25b:dd:ec00:ec00:d9:da0:0/108 | fe80:c25b:dd:ec00:ec00:d9:daf:ffff |
| 220 | fe80:c25b:dd:ec00:ec00:d9:db0:0/108 | fe80:c25b:dd:ec00:ec00:d9:dbf:ffff |
| 221 | fe80:c25b:dd:ec00:ec00:d9:dc0:0/108 | fe80:c25b:dd:ec00:ec00:d9:dcf:ffff |
| 222 | fe80:c25b:dd:ec00:ec00:d9:dd0:0/108 | fe80:c25b:dd:ec00:ec00:d9:ddf:ffff |
| 223 | fe80:c25b:dd:ec00:ec00:d9:de0:0/108 | fe80:c25b:dd:ec00:ec00:d9:def:ffff |
| 224 | fe80:c25b:dd:ec00:ec00:d9:df0:0/108 | fe80:c25b:dd:ec00:ec00:d9:dff:ffff |
| 225 | fe80:c25b:dd:ec00:ec00:d9:e00:0/108 | fe80:c25b:dd:ec00:ec00:d9:e0f:ffff |
| 226 | fe80:c25b:dd:ec00:ec00:d9:e10:0/108 | fe80:c25b:dd:ec00:ec00:d9:e1f:ffff |
| 227 | fe80:c25b:dd:ec00:ec00:d9:e20:0/108 | fe80:c25b:dd:ec00:ec00:d9:e2f:ffff |
| 228 | fe80:c25b:dd:ec00:ec00:d9:e30:0/108 | fe80:c25b:dd:ec00:ec00:d9:e3f:ffff |
| 229 | fe80:c25b:dd:ec00:ec00:d9:e40:0/108 | fe80:c25b:dd:ec00:ec00:d9:e4f:ffff |
| 230 | fe80:c25b:dd:ec00:ec00:d9:e50:0/108 | fe80:c25b:dd:ec00:ec00:d9:e5f:ffff |
| 231 | fe80:c25b:dd:ec00:ec00:d9:e60:0/108 | fe80:c25b:dd:ec00:ec00:d9:e6f:ffff |
| 232 | fe80:c25b:dd:ec00:ec00:d9:e70:0/108 | fe80:c25b:dd:ec00:ec00:d9:e7f:ffff |
| 233 | fe80:c25b:dd:ec00:ec00:d9:e80:0/108 | fe80:c25b:dd:ec00:ec00:d9:e8f:ffff |
| 234 | fe80:c25b:dd:ec00:ec00:d9:e90:0/108 | fe80:c25b:dd:ec00:ec00:d9:e9f:ffff |
| 235 | fe80:c25b:dd:ec00:ec00:d9:ea0:0/108 | fe80:c25b:dd:ec00:ec00:d9:eaf:ffff |
| 236 | fe80:c25b:dd:ec00:ec00:d9:eb0:0/108 | fe80:c25b:dd:ec00:ec00:d9:ebf:ffff |
| 237 | fe80:c25b:dd:ec00:ec00:d9:ec0:0/108 | fe80:c25b:dd:ec00:ec00:d9:ecf:ffff |
| 238 | fe80:c25b:dd:ec00:ec00:d9:ed0:0/108 | fe80:c25b:dd:ec00:ec00:d9:edf:ffff |
| 239 | fe80:c25b:dd:ec00:ec00:d9:ee0:0/108 | fe80:c25b:dd:ec00:ec00:d9:eef:ffff |
| 240 | fe80:c25b:dd:ec00:ec00:d9:ef0:0/108 | fe80:c25b:dd:ec00:ec00:d9:eff:ffff |
| 241 | fe80:c25b:dd:ec00:ec00:d9:f00:0/108 | fe80:c25b:dd:ec00:ec00:d9:f0f:ffff |
| 242 | fe80:c25b:dd:ec00:ec00:d9:f10:0/108 | fe80:c25b:dd:ec00:ec00:d9:f1f:ffff |
| 243 | fe80:c25b:dd:ec00:ec00:d9:f20:0/108 | fe80:c25b:dd:ec00:ec00:d9:f2f:ffff |
| 244 | fe80:c25b:dd:ec00:ec00:d9:f30:0/108 | fe80:c25b:dd:ec00:ec00:d9:f3f:ffff |
| 245 | fe80:c25b:dd:ec00:ec00:d9:f40:0/108 | fe80:c25b:dd:ec00:ec00:d9:f4f:ffff |
| 246 | fe80:c25b:dd:ec00:ec00:d9:f50:0/108 | fe80:c25b:dd:ec00:ec00:d9:f5f:ffff |
| 247 | fe80:c25b:dd:ec00:ec00:d9:f60:0/108 | fe80:c25b:dd:ec00:ec00:d9:f6f:ffff |
| 248 | fe80:c25b:dd:ec00:ec00:d9:f70:0/108 | fe80:c25b:dd:ec00:ec00:d9:f7f:ffff |
| 249 | fe80:c25b:dd:ec00:ec00:d9:f80:0/108 | fe80:c25b:dd:ec00:ec00:d9:f8f:ffff |
| 250 | fe80:c25b:dd:ec00:ec00:d9:f90:0/108 | fe80:c25b:dd:ec00:ec00:d9:f9f:ffff |
| 251 | fe80:c25b:dd:ec00:ec00:d9:fa0:0/108 | fe80:c25b:dd:ec00:ec00:d9:faf:ffff |
| 252 | fe80:c25b:dd:ec00:ec00:d9:fb0:0/108 | fe80:c25b:dd:ec00:ec00:d9:fbf:ffff |
| 253 | fe80:c25b:dd:ec00:ec00:d9:fc0:0/108 | fe80:c25b:dd:ec00:ec00:d9:fcf:ffff |
| 254 | fe80:c25b:dd:ec00:ec00:d9:fd0:0/108 | fe80:c25b:dd:ec00:ec00:d9:fdf:ffff |
| 255 | fe80:c25b:dd:ec00:ec00:d9:fe0:0/108 | fe80:c25b:dd:ec00:ec00:d9:fef:ffff |
| 256 | fe80:c25b:dd:ec00:ec00:d9:ff0:0/108 | fe80:c25b:dd:ec00:ec00:d9:fff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |